aboutsummaryrefslogtreecommitdiff
path: root/bin/bins
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-10-20 11:07:19 -0300
committerEuAndreh <eu@euandre.org>2022-10-20 11:07:20 -0300
commit7c3a0a4f09c81558918b66deeafa486234a73294 (patch)
treef7b0a320665021fd5c2d4b43026955dfeefc1ab1 /bin/bins
parentbin/cl: Handle -l option (diff)
downloaddotfiles-7c3a0a4f09c81558918b66deeafa486234a73294.tar.gz
dotfiles-7c3a0a4f09c81558918b66deeafa486234a73294.tar.xz
Fix all ShellCheck warnings
IOW, `make check-shellcheck` passes.
Diffstat (limited to 'bin/bins')
-rwxr-xr-xbin/bins4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/bins b/bin/bins
index 28e92f1..710cf8a 100755
--- a/bin/bins
+++ b/bin/bins
@@ -64,8 +64,10 @@ shift $((OPTIND- 1))
F="$XDG_CACHE_HOME/euandreh/bins"
IFS=:
+# Word-splitting is the goal:
+# shellcheck disable=2086
if stest -rdq -n "$F" $PATH; then
- trap "rm -f $F-tmp" EXIT
+ trap 'rm -f $F-tmp' EXIT
stest -lxf $PATH | sort -u > "$F"-tmp
mv "$F"-tmp "$F"
fi